production insights
Update production insights topicId
Requires scopes: traces:write
PATCH
/
api
/
production-insights
/
topics
/
{topicId}
Update production insights topicId
curl --request PATCH \
--url https://evalgate.com/api/production-insights/topics/{topicId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rationale": "<string>",
"expectedVersion": 123,
"status": "resolved",
"severity": "low",
"name": "<string>",
"description": "<string>",
"ownerId": "<string>"
}
'import requests
url = "https://evalgate.com/api/production-insights/topics/{topicId}"
payload = {
"rationale": "<string>",
"expectedVersion": 123,
"status": "resolved",
"severity": "low",
"name": "<string>",
"description": "<string>",
"ownerId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rationale: '<string>',
expectedVersion: 123,
status: 'resolved',
severity: 'low',
name: '<string>',
description: '<string>',
ownerId: '<string>'
})
};
fetch('https://evalgate.com/api/production-insights/topics/{topicId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fingerprint": "<string>",
"name": "<string>",
"description": "<string>",
"status": "<string>",
"severity": "<string>",
"cohortKinds": [
"<string>"
],
"confidence": 123,
"currentVersionNumber": 123,
"firstSeenAt": "2023-11-07T05:31:56Z",
"lastSeenAt": "2023-11-07T05:31:56Z",
"continuityStartedAt": "2023-11-07T05:31:56Z",
"ownerId": "<string>",
"createdBy": "<string>",
"suppressedAt": "2023-11-07T05:31:56Z",
"suppressionReason": "<string>",
"resolvedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Available options:
resolved severity
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>
Available options:
low Response
Successful response
⌘I
Update production insights topicId
